/**
 * Style of the SimpleGrap component
 */
/** 
 * Global
 */ 
.simple-graph {
    display:block;
    position:relative;
    height:auto;
    overflow:hidden;
    width:100%;
}
.simple-graph,
.simple-graph .sg-bg,
.simple-graph .sg-bg-front,
.simple-graph .sb-canvas,
.simple-graph .sb-nodes {
    left:0px;
    top:0px;
}
.simple-graph .sg-bg,
.simple-graph .sg-bg-front,
.simple-graph .sb-canvas,
.simple-graph .sb-nodes {
    margin-left:-10px;
    margin-top:-10px;
    width: calc(100% + 20px);
}
.simple-graph .sb-canvas,
.simple-graph .sb-nodes {
    display:block;
    position:absolute;
    height:100%;
}

/** 
 * SG Background
 */
.simple-graph .sg-bg,
.simple-graph .sg-bg-front {
    display:block;
    
}
.simple-graph .sg-bg {
    position:relative;
    height:auto;
}
.simple-graph .sg-bg-front {
    position:absolute;
    height:100%;
}
.simple-graph .sg-bg .sg-bg-img,
.simple-graph .sg-bg-front .sg-bg-img {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
}
.simple-graph .sg-bg .sg-bg-img {
    height:auto;
}
.simple-graph .sg-bg-front .sg-bg-img {
    top: 0.2%;
    left: -0.1%;
    height: 100.7%;
}

/** 
 * SG Canvas
 */
.simple-graph .sb-canvas {
    background-color: rgba(0, 0, 255, 0.01);
}
.simple-graph .sb-canvas.emphasize-connections {
    z-index: 1;
}
.simple-graph .sb-canvas canvas {
    display:block;
    position:relative;
    float:left;
    left:10px;
    top:10px;
    width:100%;
    height:100%;
}

/** 
 * SG Nodes
 */
.simple-graph .sb-nodes {
    display:block;
    position:absolute;
    left:0px;
    top:0px;
}
.simple-graph .sb-nodes .sb-node {
    display:block;
    position:absolute;
    left:0px;
    top:0px;
    width:100%;
    height:105%;
}
.simple-graph .sb-nodes .sb-node .sb-node-icon,
.simple-graph .sb-nodes .sb-node .sb-node-icon img {
    display: block;
    position: relative;
    left: 0px;
    width: 100%;
    height: auto;   
    cursor: pointer;
    z-index: 1;
}
.simple-graph .sb-nodes .sb-node .sb-node-icon img.animate {
    animation-name: lay-down;
    animation-duration: 250ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: lay-down;
    -webkit-animation-duration: 250ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: lay-down;
    -moz-animation-duration: 250ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: lay-down;
    -ms-animation-duration: 250ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}
.simple-graph .sb-nodes .sb-node .sb-node-icon img.animate:hover {
    animation-name: lift-up;
    animation-duration: 250ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: lift-up;
    -webkit-animation-duration: 250ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: lift-up;
    -moz-animation-duration: 250ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: lift-up;
    -ms-animation-duration: 250ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}
.simple-graph .sb-nodes .sb-node .sb-node-icon img.sg-icon-overlay {
    display: block;
    position: absolute;
    top: -41px;
    left: -4px;
    width: 103%;
}
.simple-graph .sb-nodes .sb-node .sb-node-content {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 21%;
    height: 100px;
}

/**
 * Lift up
 */
 @-moz-keyframes lift-up {
    from { 
        top: 0px;
    }
    to { 
        top: -10px;
    }
}
@-webkit-keyframes lift-up {
    from { 
        top: 0px;
    }
    to { 
        top: -10px;
    }
}
@keyframes lift-up {
    from { 
        top: 0px;
    }
    to { 
        top: -10px;
    }
}

/**
 * Lay down
 */
@-moz-keyframes lay-down {
    from { 
        top: -10px;
    }
    to { 
        top: 0px;
    }
}
@-webkit-keyframes lay-down {
    from { 
        top: -10px;
    }
    to { 
        top: 0px;
    }
}
@keyframes lay-down {
    from { 
        top: -10px;
    }
    to { 
        top: 0px;
    }
}

/**
 * This object is useful to help you out identifying/mapping the position {x, y} of the nodes in %,
 * relative to the background image, this way the lines drew in the graph are going to be considerably
 * responsive to mobile devices
 */
#sgPointer {
    display: none;
    position: absolute;
    left: 5%;
    top: 5%;
    z-index: 100;
    width: 10px;
    height: 10px;
    background: yellow;
}

/**
 * SG Modal Window
 */
.sg-modal-window {
    display: none;
    position: absolute;
    left: 10px;
    top: 10px;
    z-index: 100;
    width: calc(100% - 20px);
    height: 100%;
    background-color: rgba(0, 0, 0, 0.25);
}

.sg-modal-window-container {
    display: block;
    position: relative;
    left: 5%;
    top: 5%;
    width: 90%;
    height: 90%;
    background-color: rgba(255, 255, 255, 0.99);
    border-radius: 3px;
    color: black;
}

.sg-modal-window-container .sg-modal-window-toolbox {
    display: block;
    position: absolute;
    right: 10px;
    top: 6px;
    z-index: 100;
}
.sg-modal-window-container .spu-toolbox {
    display:none;
}
.sg-modal-window-container .sg-modal-window-toolbox button.close {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    font-size: 30px;
}

@media(max-width:767px) {

    .sg-modal-window.show {
        display: block;
    }

}